## cyme 2.1.1+dfsg

=== debian/changelog ===
cyme (2.1.1+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and unfuzz patches;
    build-depend on udev and packages for crates nusb udevrs;
    bump build-dependencies for crates terminal_size unicode-width

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 10 Jan 2025 23:58:52 +0100

cyme (2.0.0+dfsg-1) unstable; urgency=medium

  * initial release;
    closes: bug#1085871

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Oct 2024 13:17:24 +0200
