=== debian/control ===
Source: cyme
Section: rust
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 cmark-gfm <!nodoc>,
 debhelper-compat (= 13),
 dh-sequence-bash-completion,
 dh-sequence-rust,
 librust-assert-json-diff-2+default-dev <!nocheck>,
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-clap-4+wrap-help-dev,
 librust-clap-complete-4+default-dev,
 librust-clap-mangen-0.2+default-dev,
 librust-colored-2+default-dev,
 librust-diff-0.1+default-dev <!nocheck>,
 librust-dirs-5+default-dev,
 librust-heck-0.4+default-dev,
 librust-itertools-0.13+default-dev,
 librust-lazy-static-1+default-dev,
 librust-log-0.4+default-dev,
 librust-phf-0.11-dev,
 librust-rand-0.8+default-dev,
 librust-regex-1+default-dev,
 librust-rusb-0.9+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
 librust-serde-with-3+default-dev,
 librust-simple-logger-5+default-dev,
 librust-strum-0.26+default-dev,
 librust-strum-macros-0.26+default-dev,
 librust-terminal-size-0.4+default-dev,
 librust-udev-0.9+default-dev,
 librust-udevrs-0.3+default-dev,
 librust-unicode-width-0.2+default-dev,
 librust-usb-ids-1+default-dev,
 librust-uuid-1+default-dev,
 librust-uuid-1+serde-dev,
 udev <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://github.com/tuna-f1sh/cyme
Vcs-Git: https://salsa.debian.org/debian/cyme.git
Vcs-Browser: https://salsa.debian.org/debian/cyme
Rules-Requires-Root: no

Package: cyme
Section: utils
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 bash-completion,
Built-Using:
 ${cargo:Built-Using},
Static-Built-Using:
 ${cargo:Static-Built-Using},
Description: CLI tool for listing system USB buses and devices
 cyme is a command-line tool
 to list system USB buses and devices.
 It attempts to maintain compatibility with lsusb,
 but with improved visual aid
 that make glancing through the data easier.
 .
 The name comes from the technical term
 for the type of blossom on a Apple tree: cyme -
 it is Apple related and also looks like a USB device tree.
