## cyme 2.1.2%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -16,12 +16,11 @@
  librust-colored-2+default-dev,
  librust-diff-0.1+default-dev <!nocheck>,
  librust-dirs-5+default-dev,
+ librust-fastrand-2+default-dev,
  librust-heck-0.4+default-dev,
  librust-itertools-0.13+default-dev,
- librust-lazy-static-1+default-dev,
  librust-log-0.4+default-dev,
  librust-phf-0.11-dev,
- librust-rand-0.8+default-dev,
  librust-regex-1+default-dev,
  librust-rusb-0.9+default-dev,
  librust-serde-1+default-dev,
@@ -29,11 +28,12 @@
  librust-serde-json-1+default-dev,
  librust-serde-with-3+default-dev,
  librust-simple-logger-5+default-dev,
+ librust-simple-logger-5+stderr-dev,
  librust-strum-0.26+default-dev,
  librust-strum-macros-0.26+default-dev,
  librust-terminal-size-0.4+default-dev,
  librust-udev-0.9+default-dev,
- librust-udevrs-0.3+default-dev,
+ librust-udevrs-dev (<< 0.5),
  librust-unicode-width-0.2+default-dev,
  librust-usb-ids-1+default-dev,
  librust-uuid-1+default-dev,
