## cyme 2.1.2+dfsg

=== debian/changelog ===
cyme (2.1.2+dfsg-2) unstable; urgency=medium

  * update DEP-3 headers for patch 2002_udevrs
  * add patch 2006_no_hardcode_defaults
    to avoid hardcoding default options interfering with debhelper;
    thanks to Matthias Geiger (see bug#1101077)
  * declare compliance with Debian Policy 4.7.2

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Mar 2025 13:44:00 +0100

cyme (2.1.2+dfsg-1) unstable; urgency=medium

  * update and unfuzz patches
  * build-depend on package for crate fastrand (not lazy_static rand);
    tighten build-dependencies for crate simple_logger;
    relax build-dependency for crate udevrs

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 22 Feb 2025 08:30:24 +0100

cyme (2.1.1+dfsg-2) unstable; urgency=medium

  * add metadata about upstream project
  * update git-buildpackage config: improve usage comment
  * update watch file:
    + mangle upstream version
    + improve filename mangling
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 09 Feb 2025 03:00:28 +0100
