=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
  librust-uuid-1+default-dev,
  librust-uuid-1+serde-dev,
  udev <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/tuna-f1sh/cyme
 Vcs-Git: https://salsa.debian.org/debian/cyme.git
 Vcs-Browser: https://salsa.debian.org/debian/cyme
