## cyme 2.2.0+dfsg

=== debian/changelog ===
cyme (2.2.0+dfsg-2) unstable; urgency=medium

  * fix declare crate-related build-dependencies unconditionally
    (drop <\!nocheck> hint);
    closes: bug#1105134, thanks to Helmut Grohne

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 May 2025 22:29:34 +0200

cyme (2.2.0+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * build-depend on packages for crate chrono

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Apr 2025 01:02:34 +0200

cyme (2.1.3+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 13 Apr 2025 14:48:48 +0200
