=== debian/control ===
--- 
+++ 
@@ -7,14 +7,16 @@
  debhelper-compat (= 13),
  dh-sequence-bash-completion,
  dh-sequence-rust,
- librust-assert-json-diff-2+default-dev <!nocheck>,
+ librust-assert-json-diff-2+default-dev,
+ librust-chrono-0.4+default-dev,
+ librust-chrono-0.4+serde-dev,
  librust-clap-4+default-dev,
  librust-clap-4+derive-dev,
  librust-clap-4+wrap-help-dev,
  librust-clap-complete-4+default-dev,
  librust-clap-mangen-0.2+default-dev,
  librust-colored-2+default-dev,
- librust-diff-0.1+default-dev <!nocheck>,
+ librust-diff-0.1+default-dev,
  librust-dirs-5+default-dev,
  librust-fastrand-2+default-dev,
  librust-heck-0.4+default-dev,
