## cyme 2.2.2+dfsg

=== debian/changelog ===
cyme (2.2.2+dfsg-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update patches

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Jun 2025 14:44:09 +0200
