## cyme 2.2.4+dfsg

=== debian/changelog ===
cyme (2.2.4+dfsg-4) unstable; urgency=medium

  * relax build-dependency for crate colored

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 05 Sep 2025 00:17:15 +0200

cyme (2.2.4+dfsg-3) unstable; urgency=medium

  * build-depend on libstd-rust-dev;
    closes: bug#1106097, thanks to Helmut Grohne
  * update watch file: use file format 5

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 28 Aug 2025 14:11:17 +0200

cyme (2.2.4+dfsg-2) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Aug 2025 10:42:56 +0200

cyme (2.2.4+dfsg-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 04 Aug 2025 13:29:48 +0200
