=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  librust-clap-4+wrap-help-dev,
  librust-clap-complete-4+default-dev,
  librust-clap-mangen-0.2+default-dev,
- librust-colored-2+default-dev,
+ librust-colored-dev (<< 4),
  librust-diff-0.1+default-dev,
  librust-dirs-5+default-dev,
  librust-fastrand-2+default-dev,
@@ -40,6 +40,7 @@
  librust-usb-ids-1+default-dev,
  librust-uuid-1+default-dev,
  librust-uuid-1+serde-dev,
+ libstd-rust-dev,
  udev <!nocheck>,
 Standards-Version: 4.7.2
 Homepage: https://github.com/tuna-f1sh/cyme
