## cyme 2.2.5+dfsg

=== debian/changelog ===
cyme (2.2.5+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Sep 2025 16:09:17 +0200
