## cyme 2.2.6+dfsg

=== debian/changelog ===
cyme (2.2.6+dfsg-2) unstable; urgency=medium

  * drop patch 2001_colored,
    obsoleted by Debian packaging changes;
    tighten (build-)dependency for crate colored
  * add patch 1001_crossterm
    to accept newer minor version of crate heck;
    relax build-dependency for crate heck;
    closes: bug#1117140, thanks to Matthias Geiger

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 04 Oct 2025 11:10:10 +0200

cyme (2.2.6+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update DEP-3 patch headers

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 27 Sep 2025 00:38:03 +0200
