=== debian/control ===
--- 
+++ 
@@ -15,11 +15,11 @@
  librust-clap-4+wrap-help-dev,
  librust-clap-complete-4+default-dev,
  librust-clap-mangen-0.2+default-dev,
- librust-colored-dev (<< 4),
+ librust-colored-3+default-dev,
  librust-diff-0.1+default-dev,
  librust-dirs-5+default-dev,
  librust-fastrand-2+default-dev,
- librust-heck-0.4+default-dev,
+ librust-heck-dev (<< 0.6),
  librust-itertools-0.13+default-dev,
  librust-log-0.4+default-dev,
  librust-phf-0.11-dev,
