=== debian/changelog ===
cyme (2.2.7+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * tighten build-dependency for crate heck
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 17 Oct 2025 14:25:16 +0200
