=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  librust-diff-0.1+default-dev,
  librust-dirs-5+default-dev,
  librust-fastrand-2+default-dev,
- librust-heck-dev (<< 0.6),
+ librust-heck-0.5+default-dev,
  librust-itertools-0.13+default-dev,
  librust-log-0.4+default-dev,
  librust-phf-0.11-dev,
