=== debian/watch ===
version: 5
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

Template: Github
Owner: tuna-f1sh
Project: cyme
Dversion-Mangle: auto
Repacksuffix: +dfsg
