## cyme 2.2.8%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: cyme
 Section: rust
-Priority: optional
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
  cmark-gfm <!nodoc>,
@@ -17,8 +16,9 @@
  librust-clap-mangen-0.2+default-dev,
  librust-colored-3+default-dev,
  librust-diff-0.1+default-dev,
- librust-dirs-5+default-dev,
+ librust-dirs-dev (<< 7),
  librust-fastrand-2+default-dev,
+ librust-glob-0.3+default-dev,
  librust-heck-0.5+default-dev,
  librust-itertools-0.13+default-dev,
  librust-log-0.4+default-dev,
@@ -35,18 +35,17 @@
  librust-strum-macros-0.26+default-dev,
  librust-terminal-size-0.4+default-dev,
  librust-udev-0.9+default-dev,
- librust-udevrs-dev (<< 0.5),
+ librust-udevrs-0.4+default-dev,
  librust-unicode-width-0.2+default-dev,
  librust-usb-ids-1+default-dev,
  librust-uuid-1+default-dev,
  librust-uuid-1+serde-dev,
  libstd-rust-dev,
  udev <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/tuna-f1sh/cyme
 Vcs-Git: https://salsa.debian.org/debian/cyme.git
 Vcs-Browser: https://salsa.debian.org/debian/cyme
-Rules-Requires-Root: no
 
 Package: cyme
 Section: utils
