## cyme 2.2.8+dfsg

=== debian/changelog ===
cyme (2.2.8+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patch 2002_udevrs,
    obsoleted by Debian packaging changes;
    tighten build-dependency for crate udevrs
  * update DEP-3 patch headers
  * build-depend on package for crate glob
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Dec 2025 11:44:31 +0100
