## cyme 2.2.9+dfsg

=== debian/changelog ===
cyme (2.2.9+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patch 2002_dirs,
    obsoleted by Debian packaging changes;
    tighten build-dependency for crate dirs
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 05 Jan 2026 15:54:50 +0100

cyme (2.2.8+dfsg-2) unstable; urgency=medium

  * relax build-dependency for crate dirs;
    closes: bug#1123881, thanks to Peter Michael Green
  * stop set superfluous fields Rules-Requires-Root Priority
  * declare compliance with Debian Policy 4.7.3

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 23 Dec 2025 15:24:38 +0100
