=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: cyme
 Section: rust
-Priority: optional
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
  cmark-gfm <!nodoc>,
@@ -17,7 +16,7 @@
  librust-clap-mangen-0.2+default-dev,
  librust-colored-3+default-dev,
  librust-diff-0.1+default-dev,
- librust-dirs-5+default-dev,
+ librust-dirs-6+default-dev,
  librust-fastrand-2+default-dev,
  librust-glob-0.3+default-dev,
  librust-heck-0.5+default-dev,
@@ -43,11 +42,10 @@
  librust-uuid-1+serde-dev,
  libstd-rust-dev,
  udev <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/tuna-f1sh/cyme
 Vcs-Git: https://salsa.debian.org/debian/cyme.git
 Vcs-Browser: https://salsa.debian.org/debian/cyme
-Rules-Requires-Root: no
 
 Package: cyme
 Section: utils
