## cyme 2.2.10%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  librust-fastrand-2+default-dev,
  librust-glob-0.3+default-dev,
  librust-heck-0.5+default-dev,
- librust-itertools-0.13+default-dev,
+ librust-itertools-dev (<< 0.15),
  librust-log-0.4+default-dev,
  librust-phf-0.11-dev,
  librust-regex-1+default-dev,
