## cyme 2.2.10+dfsg

=== debian/changelog ===
cyme (2.2.10+dfsg-2) unstable; urgency=medium

  * extend patch 1001_itertools to cover itertools v0.14;
    relax build-dependency for crate itertools;
    closes: bug#1126141, thanks to Peter Michael Green

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 23 Jan 2026 11:45:58 +0100

cyme (2.2.10+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info:
    + repackage upstream source to avoid any .git* files
    + update coverage
  * unfuzz patches
  * install completion snippet for fish shell

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 15 Jan 2026 09:45:49 +0100
