## cyme 2.2.11+dfsg

=== debian/changelog ===
cyme (2.2.11+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update changelog
  * update copyright info:
    + really avoid any .git* files when repackaging upstream source
  * update git-buildpackage config:
    + stop superfluously filter out .git* files
  * update watch file:
    + auto-mangle upstream version
  * relax build-dependencies for all crates
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Feb 2026 20:08:01 +0100
