=== debian/control ===
Source: cyme
Section: rust
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 cmark-gfm <!nodoc>,
 debhelper-compat (= 13),
 dh-sequence-bash-completion,
 dh-sequence-rust,
 librust-assert-json-diff-dev,
 librust-chrono-dev,
 librust-chrono-dev,
 librust-clap-dev,
 librust-clap-dev,
 librust-clap-dev,
 librust-clap-complete-dev,
 librust-clap-mangen-dev,
 librust-colored-dev,
 librust-diff-dev,
 librust-dirs-dev,
 librust-fastrand-dev,
 librust-glob-dev,
 librust-heck-dev,
 librust-itertools-dev,
 librust-log-dev,
 librust-phf-dev,
 librust-regex-dev,
 librust-rusb-dev,
 librust-serde-dev,
 librust-serde-dev,
 librust-serde-json-dev,
 librust-serde-with-dev,
 librust-simple-logger-dev,
 librust-simple-logger-dev,
 librust-strum-dev,
 librust-strum-macros-dev,
 librust-terminal-size-dev,
 librust-udev-dev,
 librust-udevrs-dev,
 librust-unicode-width-dev,
 librust-usb-ids-dev,
 librust-uuid-dev,
 librust-uuid-dev,
 libstd-rust-dev,
 udev <!nocheck>,
Standards-Version: 4.7.3
Homepage: https://github.com/tuna-f1sh/cyme
Vcs-Git: https://salsa.debian.org/debian/cyme.git
Vcs-Browser: https://salsa.debian.org/debian/cyme

Package: cyme
Section: utils
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 bash-completion,
Built-Using:
 ${cargo:Built-Using},
Static-Built-Using:
 ${cargo:Static-Built-Using},
Description: CLI tool for listing system USB buses and devices
 cyme is a command-line tool
 to list system USB buses and devices.
 It attempts to maintain compatibility with lsusb,
 but with improved visual aid
 that make glancing through the data easier.
 .
 The name comes from the technical term
 for the type of blossom on a Apple tree: cyme -
 it is Apple related and also looks like a USB device tree.
