=== debian/watch ===
--- 
+++ 
@@ -5,5 +5,6 @@
 Template: Github
 Owner: tuna-f1sh
 Project: cyme
+Uversion-Mangle: auto
 Dversion-Mangle: auto
 Repacksuffix: +dfsg
